hpp-fcl: hpp::fcl::ComputeDistance Class Reference

hpp-fcl 1.7.3 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::fcl::ComputeDistance Class Reference

`#include <hpp/fcl/distance.h>`

## Public Member Functions
| ComputeDistance (const CollisionGeometry *o1, const CollisionGeometry *o2)
FCL_REAL | operator() (const Transform3f &tf1, const Transform3f &tf2, const DistanceRequest &request, DistanceResult &result) const
FCL_REAL | operator() (const Transform3f &tf1, const Transform3f &tf2, DistanceRequest &request, DistanceResult &result) const
virtual | ~ComputeDistance ()

## Protected Member Functions
virtual FCL_REAL | run (const Transform3f &tf1, const Transform3f &tf2, const DistanceRequest &request, DistanceResult &result) const

## Protected Attributes
CollisionGeometry const * | o1
CollisionGeometry const * | o2
GJKSolver | solver
DistanceFunctionMatrix::DistanceFunc | func
bool | swap_geoms

## Detailed Description

This class reduces the cost of identifying the geometry pair. This is mostly useful for repeated shape-shape queries.

ComputeDistance calc_distance (o1, o2);
FCL_REAL distance = calc_distance(tf1, tf2, request, result);
hpp::fcl::ComputeDistance::ComputeDistance
ComputeDistance(const CollisionGeometry *o1, const CollisionGeometry *o2)
hpp::fcl::ComputeDistance::o1
CollisionGeometry const * o1
Definition: distance.h:131
hpp::fcl::ComputeDistance::o2
CollisionGeometry const * o2
Definition: distance.h:134
hpp::fcl::distance
FCL_REAL distance(const Matrix3f &R0, const Vec3f &T0, const kIOS &b1, const kIOS &b2, Vec3f *P=NULL, Vec3f *Q=NULL)
Approximate distance between two kIOS bounding volumes.
hpp::fcl::FCL_REAL
double FCL_REAL
Definition: data_types.h:66

## Constructor & Destructor Documentation

## ◆ ComputeDistance()

hpp::fcl::ComputeDistance::ComputeDistance | ( | const CollisionGeometry * | o1,
|  | const CollisionGeometry * | o2
| ) |  |

## ◆ ~ComputeDistance()

virtual hpp::fcl::ComputeDistance::~ComputeDistance | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ operator()() [1/2]

FCL_REAL hpp::fcl::ComputeDistance::operator() | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  | const
| inline

## ◆ operator()() [2/2]

FCL_REAL hpp::fcl::ComputeDistance::operator() | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  | const
| inline

## ◆ run()

virtual FCL_REAL hpp::fcl::ComputeDistance::run | ( | const Transform3f & | tf1,
|  | const Transform3f & | tf2,
|  | const DistanceRequest & | request,
|  | DistanceResult & | result
| ) |  | const
| protectedvirtual

## Member Data Documentation

## ◆ func

DistanceFunctionMatrix::DistanceFunc hpp::fcl::ComputeDistance::func
| protected

## ◆ o1

CollisionGeometry const* hpp::fcl::ComputeDistance::o1
| protected

## ◆ o2

CollisionGeometry const * hpp::fcl::ComputeDistance::o2
| protected

## ◆ solver

GJKSolver hpp::fcl::ComputeDistance::solver
| protected

## ◆ swap_geoms

bool hpp::fcl::ComputeDistance::swap_geoms
| protected

The documentation for this class was generated from the following file:

- include/hpp/fcl/distance.h